Vista and Setup.exe Requirement

Add-in Express™ Support Service
That's what is more important than anything else

Vista and Setup.exe Requirement
 
Peter Edward




Posts: 8
Joined: 2007-03-30
In another forum topic I saw the statement...

"Vista requires you to run the setup.exe to install an add-in because of new security policies in Vista"

This is not something I have seen elsewhere. I have created and seen many other applications for vista that did and do not require the setup.exe, but could be installed my simply running the msi.

What is it about the add-in's that require the setup.exe? I would also like to question again whether it is something that we could work around.

I am interested in the possibility of pushing the add-in out via Group Policy which from my understanding cannot be done with the installer package deployment mechanism if the setup.exe must be run rather then just the msi.

Thanks,
Peter
Posted 30 Mar, 2007 09:40:19 Top
Sergey Grischenko


Add-in Express team


Posts: 7225
Joined: 2004-07-05
Hi Peter.

Due to some latest updates, the setup.exe is not required anymore.
Please use the .msi file only.


P.S. Note that we take up your forum requests in the order we receive them.
Besides, it may take us some time to investigate your issue. Please be sure we will let you know as soon as the best possible solution is found.
Posted 31 Mar, 2007 05:27:58 Top
Peter Edwards




Posts: 8
Joined: 2007-03-30
Is there something I need to do to update my msi project. I updated the adxloader.dll in the loader directory of my add-in project. I am getting the following message when running the msi only.

There is a problem with the Windows Installer package. A program required for this install to complete could not be run. Contact your support personnel or package vendor.


The message appears at the end I believe when the adxloader custom action gets called. The adxloader log file has only the following text after the failed install:

Add-in Express Loader Log File: 04/02/2007 09:33:10

Startup directory: C:\svn\vrcdev\IIHSPeople\PeopleOutlookAddin\Loader\
------------------


I have the latest version of Add-in Express 2007 installed, but the deployment project was setup about two revisions ago. I do not get this message when I use the setup.exe. Any thoughts?

Thanks in advanced for your help.
Posted 02 Apr, 2007 10:26:26 Top
Peter Edwards




Posts: 8
Joined: 2007-03-30
More Information:

I also found this message in my system application log.

Product: IIHSPeople Outlook Folders -- Error 1721. There is a problem with this Windows Installer package. A program required for this install to complete could not be run. Contact your support personnel or package vendor. Action: _72AC97A3_9648_4037_A268_EB85B1F50D63, location: C:\Program Files\Common Files\Add-in Express\ADX Extensions .NET for Microsoft Outlook\ADXOlFCInstaller.2005.exe, command: INSTALL "C:\Program Files\Common Files\Add-in Express\ADX Extensions .NET for Microsoft Outlook\ADXOlFormContainer.2005.dll" "C:\Program Files\IIHS Software\IIHSPeople Outlook Folders\\"


Thanks,
Peter
Posted 02 Apr, 2007 10:37:57 Top
Peter Edwards




Posts: 8
Joined: 2007-03-30
This problem is occurring because the custom action is not running with elevated privileges. To solve the problem I found a blog entry with a fix for VS 2005 setup projects. Blog entry can be found here.


Posted 02 Apr, 2007 11:38:05 Top
Sergey Grischenko


Add-in Express team


Posts: 7225
Joined: 2004-07-05
Hi Peter.

Thank you for the information.
BTW, a new version of Add-in Express will not include the msm module with the ADXOlFormContainer.2005.dll assembly. I think it will allow you to prevent this issue in future.

Posted 02 Apr, 2007 13:14:14 Top